"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10b970040>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10b970180>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10b9700e0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10b970220>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10b9702c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10b970360>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10b970400>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10b9704a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10b970540>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10b9705e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10b970680>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10b970720>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10b9707c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10b970860>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10b970900>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10b9709a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10b970a40>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10b970ae0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10b970b80>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10b970c20>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10b970cc0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10b970d60>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10b970e00>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10b970ea0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10b970f40>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10b970fe0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10b971080>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10b971120>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10b9711c0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10b971260>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10b971300>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10b9713a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10b971440>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10b9714e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10b971580>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10b971620>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10b9716c0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10b971760>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10b971800>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10b9718a0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10b971940>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10b9719e0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10b971a80>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10b971b20>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10b971bc0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10b971c60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10b971d00>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10b971da0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10b971e40>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10b971ee0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10b971f80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10b972020>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b9720c0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10b972160>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10b972200>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b9722a0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b972340>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10b9723e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10b972480>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10b972520>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10b9725c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10b972660>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10b972700>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b9727a0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10b972840>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10b9728e0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10b972980>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10b972a20>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10b972ac0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10b972b60>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10b972c00>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10b972ca0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10b972d40>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10b972de0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10b972e80>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10b972f20>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10b972fc0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10b973060>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10b973100>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10b973240>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10b9731a0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10b9732e0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10b973380>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10b973420>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10b9734c0>)]
name: str = 'fr_HOCCN'
